PALO(8)

NAME
palo - boot media management tool for PA-RISC/HPPA.

SYNOPSIS
palo [options]

DESCRIPTION
palo 2.27 - boot media management tool for PA-RISC/HPPA.

-?, --help
    Print this information

-c, --commandline=default kernel command line

    Maximum 1023 characters.

-k, --recoverykernel=path to recovery kernel (perhaps /boot/vmlinux)

-b, --bootloader=path to boot loader (usually /usr/share/palo/iplboot)

-r, --ramdisk=path to initial ramdisk image

-I, --init-partitioned=partitioned device or file

    Initialize a pre-partitioned device, usually a hard disk. The partition table is not modified. Requires only -c and -b though -k is customary and prudent.

-U, --update-partitioned=partitioned device or file

    Update a pre-partitioned device, usually a hard disk. The partition table is not modified. Usually used to modify the default kernel command line (-c).

-s, --init-tape=file

    Initialize an unpartitioned file which can be copied to tape, disk, or used as a bootp image. Requires -c, -b, -k.

-C, --init-cdrom=iso-image-file

    Convert an ISO image already containing a kernel, boot loader, and optionally a ramdisk, into a PA-RISC bootable image. Requires -c, -b, -k, and optionally -r. The files named on the palo command line must have EXACTLY the same contents as those already in the ISO image.

-f, --configfile=path to config file

    Each line in the named configuration file is added as a separate argument to the beginning of the palo command line arguments (thus command-line options override config file options).

    Short or long options can be used with long options peferred for readability in the configuration file. WARNING: No quotations or other shell syntax is understood, so use

    --commandline=a b c

not --commandline='a b c'.

The short-option config file form of the above is:
    -c a b c

    Blank lines and lines beginning with # are ignored. Whitespace at the beginning and ends of lines is discarded.

When -f is not specified, palo tries /etc/palo.conf.
    Use

    --configfile=/dev/null to avoid configuration files or warnings when /etc/palo.conf is missing.

-v, --verbose

    Provide more verbose information when running palo

-e, --format-as=type

    This is only for partitioned media. Format the palo partition as an ext2 (type == 2), ext3 (type == 3) or ext4 (type == 4) partition. With this option, you cannot specify any parameters, kernels or ramdisks to be loaded into the palo partition

'palo' with no arguments whatsoever is equivalent to 'palo -f /etc/palo.conf'.

When more than one of -I, -U, -s and -C are used, only the last one is effective.

palo version 2.27 https://parisc.docs.kernel.org - Tue, 14 Jan 2025 01:05:37 +0000 palo is the installation and management tool for the parisc bootloader, called iplboot. The size required for the iplboot binary is 256kb. Older MS-DOS label disks begin the first partition at sector 63 and there is no room for iplboot within the disk label, so you must create a palo partition of type F0 to hold iplboot. If your disk was formatted more recently it should have a newer MS-DOS label where the first partition begins at sector 2048 meaning there is room for iplboot within the disk label and a palo (F0) partition is not required. If you have a palo partition (type F0), it must occur within the first 2GB of the beginning of the disk. If you choose to have a palo partition, you may store both the kernel and the initrd in this partition, meaning you have to update it every time you update the kernel, or you may choose to have a /boot partition, which must be formatted as an ext2/3/4 filesystem, from which palo will load kernels. This /boot partition also must be within the first 2GB of the beginning of the disk. If you have no palo partition, and palo is installed inside the disk label, you must have a /boot partition because the disk label is still too small to contain a kernel and a ramdisk. Palo allows you to specify a kernel command line, which is stored in the firstboot partition. The format should be kernel first followed by an optional initrd= and then the rest of the kernel parameters. The format of the kernel and initial ramdisk files is <partition number>/<path to file>. It is recommended, but not required, that both the kernel and the initial ramdisk be in the root directory of the filesystem.

EXAMPLES
Create a Bootable disk on sda for the first time by installing palo
    $ palo -c "1/vmlinux initrd=1/initrd.img" -I /dev/sda Update the bootloader command line without re-installing it
    $ palo -c "1/vmlinux.new initrd=1/initrd.img.new" -U /dev/sda Format the palo partition as ext4 and install iplboot within that partition using ext4 badblocks [requires a palo (type F0) partition]:
    $ palo palo -c "1/vmlinux initrd=1/initrd.img" --format-as=4 -I /dev/sda